
<NavbarItem>:
    theme_text_color: 'Custom'
    on_release: self.parent.set_color_item(self)

    IconLeftWidget:
        id: icon
        icon: root.icon
        theme_text_color: 'Custom'
        text_color: root.text_color


<Navbar>:
    orientation: "vertical"
    padding: "8dp"
    spacing: "8dp"

    AnchorLayout:
        anchor_x: 'left'
        size_hint_y: None
        height: icon.height

        AsyncImage:
            id: icon
            size_hint: None, None
            size_y: '56dp'
            source: root.icon

    MDLabel:
        text: root.title
        font_style: 'Button'
        size_hint_y: None
        height: self.texture_size[1]

    MDLabel:
        text: root.subtitle
        font_style: 'Caption'
        size_hint_y: None
        height: self.texture_size[1]

    ScrollView:
        NavbarList:
            id: menu_list
